Bug 447148 - sendmail.mc changes silently ignored if sendmail-cf not installed
sendmail.mc changes silently ignored if sendmail-cf not installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 05:02 EDT by Andrew Kroeger
Modified: 2009-01-07 16:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-03 13:38:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Kroeger 2008-05-18 05:02:37 EDT
Description of problem:
After a fresh F9 install, I merged the changes I had made to my old FC6
sendmail.mc file into the one installed by F9.  I rebooted the machine and
sendmail started without any errors.  After a few days, I finally noticed that
although sendmail is running, it is not running based off of the sendmail.mc I
modified.

Version-Release number of selected component (if applicable):
sendmail-8.14.2-4.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install basic F9 (no sendmail-cf package)
2. Modify sendmail.mc & reboot
  
Actual results:
sendmail.cf was not rebuilt, yet there were no error messages displayed at boot.
 Sendmail was running, but it was not running with the configuration I expected.

Expected results:
sendmail.cf is rebuilt from the modified sendmail.mc when the sendmail service
is started at boot.
Comment 1 Miroslav Lichvar 2008-12-03 13:38:34 EST
Init script in sendmail-8.14.3-2.fc11 will print a warning if sendmail-cf is required to update the configuration.
Comment 2 Fedora Update System 2008-12-03 13:54:59 EST
sendmail-8.14.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sendmail-8.14.3-2.fc10
Comment 3 Fedora Update System 2008-12-19 08:40:11 EST
sendmail-8.14.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sendmail-8.14.3-3.fc10
Comment 4 Fedora Update System 2009-01-07 16:53:37 EST
sendmail-8.14.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.